Skip to content
Sursa Developers

Objects

IndexUpgradeResult

A collection with its reindex plan (reindex): the response of a collection update that upgrades the collection index.

Fields

  • aclAclrequired
  • created_atstring (date-time)required
  • default_categorystring | null
  • default_owner_idinteger | nullrequired
  • default_verify_intervalintegerrequired
  • descriptionstring | nullrequired
  • documentsinteger
  • idintegerrequired
  • index_outdatedbooleanrequired

    The collection was indexed with an earlier version of the installation's search index. Search in it is incomplete until the index is upgraded (PATCH /v1/collections/{name} with upgrade_index: true).

  • namestringrequired
  • org_idintegerrequired
  • reindexobjectrequired
    Fields
    • batch_idstringrequired
    • collectionCollectionrequired
    • countsReindexCountsrequired
    • job_idsarray of integerrequired
    • jobsintegerrequired
    • index_upgradeboolean

      The reindex upgrades the collection to the installation's current search index.

    • skippedarray of ReindexSkippedrequired
    • sourcesarray of objectrequired
      Fields
      • cardsintegerrequired
      • source_idintegerrequired
      • statusstring
  • sensitivebooleanrequired
  • titlestring | nullrequired
  • unverifiedinteger
  • warningstringrequired
  • affected_cardsinteger

    Number of cards the update of the collection index affects.

Used by